type OperationType = "query" | "mutation" | "subscription";
interface CreateOperationIdOptions {
    operationName: string;
    type: OperationType;
    createDefaultId: () => string;
}
export interface PersistedQueryManifestConfig {
    documents?: string | string[];
    output?: string;
    createOperationId?: (query: string, options: CreateOperationIdOptions) => string;
}
export interface PersistedQueryManifestOperation {
    id: string;
    name: string;
    type: OperationType;
    body: string;
}
export interface PersistedQueryManifest {
    format: "apollo-persisted-query-manifest";
    version: 1;
    operations: PersistedQueryManifestOperation[];
}
export declare const defaults: {
    documents: string[];
    output: string;
    createOperationId: (query: string) => string;
};
export declare function getFilepaths(documents: string | string[]): Promise<string[]>;
export declare function generatePersistedQueryManifest(config: PersistedQueryManifestConfig | undefined, configFilePath: string | undefined): Promise<PersistedQueryManifest>;
export {};
//# sourceMappingURL=index.d.ts.map